import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import OvirtLogoLight from './OvirtLogoLight';
import OvirtLogoDark from './OvirtLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const OvirtLogoSvg = forwardRef(function OvirtLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(OvirtLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(OvirtLogoLight, Object.assign({}, props, { ref: ref }));
});
export default OvirtLogoSvg;
